/***************************************************************************
                          r2a_axles.h  -  description
                             -------------------
    begin                : Fri May 28 2004
    copyright            : (C) 2004 by Harm Anne Schotanus
    email                : spearhead@wanadoo.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef R2A_AXLES_H
#define R2A_AXLES_H

#include <string>
#include <iostream>


using std::string;
using std::ostream;

/**
  *@author Harm Anne Schotanus
  */


class axle_set {
private:
  string axle;
  unsigned pos;
  int axles_group(ostream& out, const bool html);
  void frame_group(ostream& out, const bool html);
  void loc_group(ostream& out, const bool html);
  void tender_group(ostream& out, const bool html);
  void parse(ostream& out, const bool html);

public:
  axle_set()  throw() : pos(0)  {}
	axle_set (const string& s);
  void print (ostream& out, const bool html=false);
	~axle_set()  throw() {}
};

#endif
