/***************************************************************************
                          r2a_debug.h  -  description
                             -------------------
    begin                : Sun Jul 18 2004
    copyright            : (C) 2004 by Harm Anne Schotanus
    email                : spearhead@wanadoo.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef R2A_DEBUG_H
#define R2A_DEBUG_H
#include "r2a_options.h"


inline void
print_debug (
  ostream& err,
  const unsigned level,
  const optionsT& options,
  const string s1,
  const string s2)
{
  if (options.debug > level)
    err << "Debug (" << options.debug << ") " << s1 << ' ' << s2 << endl;
}


#endif

