/***************************************************************************
                          r2a_options.h  -  description
                             -------------------
    begin                : Sat Jul 10 2004
    copyright            : (C) 2004 by Harm Anne Schotanus
    email                : spearhead@wanadoo.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef R2A_OPTIONS_H
#define R2A_OPTIONS_H

#include "riv2ascii.h"


typedef enum {
  NONE = 0,
  MATCH = '@',
  AXLES = '$',
  PRINT = 1,
  CODE = 2,
  NUMBER ='#',
  IGA = '%',
  INTERACTIVE =  3,
  FILE_MODE = 4,
  COMMAND = ':'
} modeT;


class optionsT {
public:
	unsigned year;
	unsigned axles;
	unsigned country;		
	unsigned s_file;
  unsigned debug;
  string company_name;
	string riv_text;
  string axles_arr;
  string uic_code;
  string file;
  string history_file;
	bool html;
	bool find_cnt;
  bool show_iga;
	typeT type;
	modeT mode;
  modeT default_mode;
  optionsT () {
    year = axles = 0;
    country = UIC;
    type = unknown;
    show_iga = html = find_cnt = false;
    mode = NONE;
    s_file = debug = 0;
    history_file = string("riv2ascii.history");
    default_mode = MATCH;
  }
};


#endif

