/***************************************************************************
                          r2a_speed_heat_list.cpp  -  description
                             -------------------
    begin                : Sun Jun 13 2004
    copyright            : (C) 2004 by Harm Anne Schotanus
    email                : spearhead@wanadoo.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <string>
#include <iostream>
#include <algorithm>
#include <iterator>
#include "riv2ascii.h"
#include "riv_error.h"
#include "r2a_speed_heat_list.h"
#include "r2a_helper.h"
#include "r2a_html.h"
#include "r2a_notfound_error.h"


handleT <speed_heat>
speed_heat_list::find(
  const unsigned cd
) const
{
  speed_heat_citer s = find_if (s_list.begin(),s_list.end(), finder<speed_heat>(cd));
  if (s == s_list.end()) throw not_found(to_string(cd));
  return *s;
}


void
speed_heat_list::print (
  ostream& out,
  const bool html
) const
{
  put_table p(out, html);
  for_each(s_list.begin(), s_list.end(), printer<speed_heat>(out, html));
}

